<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Anwesenheiten\NotenSpeichern;

class NotenNachSpeichernController extends \Kufer\Web\KuferTools\Dozent\Anwesenheiten\NotenUebersicht\NotenUebersichtController
{
  private $knr;
  private $datum;
  private $status;

  
  public function __construct($pKnr, $pDatum, $pStatusCode)
  {
    $this->knr = $pKnr;
    $this->datum = $pDatum;
    $this->status = $pStatusCode;
  }

  protected function getRequestObj()
  {
    $requestObj = new \Kufer\Web\KuferTools\Dozent\Anwesenheiten\NotenUebersicht\NotenUebersichtRequest();
    $requestObj->knr = $this->knr;
    $requestObj->datum = $this->datum;
    $requestObj->status = $this->status;

    return $requestObj;
  }
}